Name:           python3-cheetah
Version:        3.2.4
Release:        1%{?dist}
Summary:        Template engine and code generator

License:        MIT
URL:            https://cheetahtemplate.org/
Source:         https://github.com/CheetahTemplate3/cheetah3/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  gcc

%global _description\
Cheetah is an open source template engine and code generation tool,\
written in Python. It can be used standalone or combined with other\
tools and frameworks. Web development is its principal use, but\
Cheetah is very flexible and is also being used to generate C++ code,\
Java, SQL, form emails and even Python code.

%description %{_description}

%package -n python%{python3_pkgversion}-cheetah
Summary: %summary
%{?python_provide:%python_provide python%{python3_pkgversion}-cheetah}

BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools
BuildRequires: python%{python3_pkgversion}-markdown
BuildRequires: python%{python3_pkgversion}-pygments

%description -n python%{python3_pkgversion}-cheetah %_description


%prep
%autosetup -p1 -n cheetah3-%{version}

# remove unnecessary shebang lines to silence rpmlint
%{__sed} -i -e '/^#!/,1d' Cheetah/Tests/*.py \
    Cheetah/CheetahWrapper.py Cheetah/DirectiveAnalyzer.py \
    Cheetah/Filters.py Cheetah/NameMapper.py Cheetah/Servlet.py \
    Cheetah/Templates/SkeletonPage.py Cheetah/Tools/SiteHierarchy.py \
    Cheetah/Version.py

%build
%py3_build

%install
%py3_install
for bin in %{buildroot}%{_bindir}/*
do
  mv $bin ${bin}-%{python3_version}
  ln -s ${bin##*/}-%{python3_version} ${bin}-3
done


%check
# Let tests find cheetah-3 executable via local cheetah link
export PATH=".:%{buildroot}/%{_bindir}:$PATH"
ln -s %{buildroot}/%{_bindir}/cheetah-3 cheetah
export PYTHONPATH="%{buildroot}/%{python3_sitearch}"
%{buildroot}/%{_bindir}/cheetah-3 test


%files -n python%{python3_pkgversion}-cheetah
%license LICENSE
%doc ANNOUNCE.rst README.rst TODO BUGS
%{_bindir}/cheetah*
%{python3_sitearch}/Cheetah
%{python3_sitearch}/Cheetah*.egg-info

%changelog
* Mon Jan 20 2020 Orion Poplawski <orion@nwra.com> - 3.2.4-1
- EPEL7 Python3 package
